Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226434 - Merge Review: star
Summary: Merge Review: star
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:01 UTC by Nobody's working on this, feel free to take it
Modified: 2009-08-27 18:57 UTC (History)
3 users (show)

Fixed In Version: star-1.5-7.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-27 18:57:51 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:01:51 UTC
Fedora Merge Review: star

http://cvs.fedora.redhat.com/viewcvs/devel/star/
Initial Owner: pvrabec@redhat.com

Comment 1 Jerry James 2009-08-26 16:06:02 UTC
It's about time someone reviewed this, isn't it?  Rpmlint shows some things that need to be fixed.

star.x86_64: W: file-not-utf8 /usr/share/doc/star-1.5/AN-1.5
star.spec:84: E: hardcoded-library-path in %{_prefix}/lib
star.spec:201: W: macro-in-%changelog files
star.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 36, tab: line 51)
2 packages and 1 specfiles checked; 4 errors, 3 warnings.

The first warning is triggered because of some ISO8859-1 characters in the file.  Please convert that file to UTF-8.

The second warning is harmless.

To fix the third warning, change "%files" to "%%files" in the changelog entry of Fri Aug 26 2005.

Please also fix the fourth warning by using either spaces or tabs, but not both.

MUST items:
XX: rpmlint output (see above)
OK: package named according to package naming guidelines
OK: spec file name matches package name
XX: package meets packaging guidelines

First, there are no comments on the patches, as required by https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

Second, the BuildRoot does not contain %{release}, as required by
https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

OK: package has a Fedora-approved license
OK: license field matches actual license
OK: license file in %doc
OK: spec file in American English
OK: spec file is legible
OK: source matches upstream source (checked with md5sum)
OK: package builds successfully on at least one primary arch
NA: appropriate use of ExcludeARch
OK: all build dependencies in BuildRequires
NA: proper locale handling
NA: call ldconfig in %post and %postun
OK: no relocatable packages
OK: package owns all directories it creates
OK: no duplicate listings in %files
OK: permissions on files are set correctly
OK: appropriate %clean section
OK: consistent use of macros
OK: code or permissible content
NA: large documentation in -doc
OK: no runtime dependencies in %doc
NA: header files in -devel
NA: static libraries in -static
NA: Requires pkgconfig
NA: .so files in -devel
NA: -devel requires base package
OK: no libtool archives
NA: desktop file for GUI apps
OK: do not own files/dirs owned by other packages
OK: clean at top of %install
OK: all filenames are UTF-8

SHOULD items:
NA: ask upstream to include a license file
NA: include translated description and summary fields
OK: package builds in mock
OK: package builds and compiles on all supported arches
OK: package functions as described (minimal testing only)
OK: sane scriptlets
NA: subpackages require the base package
NA: placement of pkgconfig files
NA: file dependencies

Finally, would it be helpful to include READMEs/README.linux in %doc?

Comment 2 Ondrej Vasik 2009-08-27 08:07:30 UTC
Thanks for taking this merge review.

-Relevant rpmlint warnings fixed (rm .%{_prefix}/lib kept)

-Comments on patches added - although it is SHOULD and not MUST item to have commented patches, it could be useful and star has not so many patches - so no problem with this...

-Buildroot from spec file is no longer used by newer rpm, so this is harmless too - anyway, fixed for sanity...

Built as star-1.5-7.fc12.

Comment 3 Jerry James 2009-08-27 14:36:49 UTC
Looks good.  APPROVED.


Note You need to log in before you can comment on or make changes to this bug.